# Getting Started

***

After you rent our Layer 7 protection, you'll receive a **custom API token** that grants you access to our management API.

{% embed url="<https://api.packets-decreaser.net/>" %}

***

#### **Available Actions**

Our API allows you to:

* **Add a domain**
* **Change existing domain settings**
* **Delete a domain**
* **View clean traffic statistics**

***

`domain`

**Description:**\
**Your domain name that you want to protect.**

`rate_limit_edge`

**Description:**\
**The maximum number of requests per second (RPS) allowed from a single IP per edge node.**

`allowed_methods`

**Description:**\
**Allowed HTTP Methods**

* **GET**
* **POST**
* **PUT**
* **PATCH**
* **DELETE**
* **HEAD**
* **OPTIONS**
* **CONNECT**
* **TRACE**

`auto_ssl`

**Description:**\
**Enable Auto SSL, if enabled you dont have to provide ssl\_cert and ssl\_key. Can take up to 30 min.** <br>

`seo`

**Description:**\
**Enable SEO Mode (Allow search engine bots).**

`burst_limit_edge`

**Description:**\
**The maximum short-term request burst allowed per client IP per edge node before temporary throttling kicks in.**

`backend`

**Description:**\
**The IP address and port of your backend server where clean traffic should be forwarded.**\
**Example:**\
`"backend": "127.0.0.1:8082"`

`webhook_url`

**Description:**\
**Optional webhook URL that we’ll call when an attack is detected on this domain.**

`max_rq_stage_1`

**Description:**\
**Maximum number of global bypassing requests per second in Stage 1 (Cookie Challenge) before escalating to Stage 2 (Proof-of-Work Challenge).**

`max_rq_stage_2`

**Description:**\
**Maximum number of global bypassing requests per second in Stage 2 (Proof-of-Work Challenge) before escalating to Stage 3 (Captcha Challenge).**

`stage_diff_js_challenge`

**Description:**\
**Number of seconds that must pass before a JavaScript challenge is issued, based on changing traffic behavior.**

**Approximate Proof-of-Work (POW) Difficulty Timing:**

* **Difficulty 4 → \~0.247 seconds**
* **Difficulty 5 → \~3.100 seconds**
* **Difficulty 6 → \~21.400 seconds**

`disable_bypass_stage_2`

**Description:**\
**Defines the maximum global request rate at which Stage 2 (Proof-of-Work Challenge) will be deactivated.**

`disable_bypass_stage_3`

**Description:**\
**Defines the maximum global request rate at which Stage 3 (Captcha Challenge) will be deactivated.**

***

#### **Domain Setup Instructions**

**When you add a domain to our system, you must create a CNAME DNS record pointing to:**

{% hint style="info" %}
filter-l7.packets-decreaser.net
{% endhint %}

\
**This allows our filtering system to handle your domain's traffic.**\
**Once the CNAME is in place and your domain is added via the API, you’re ready to go!**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.packets-decreaser.net/ddos-protection/layer-7/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
